Package org.apache.sysds.lops

## Class OperatorOrderingUtils

- java.lang.Object
- - org.apache.sysds.lops.OperatorOrderingUtils

    public class OperatorOrderingUtils
    extends Object

### Constructor Summary

Constructors
`OperatorOrderingUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `collectGPURoots​(Lop root, Map<Long,​Integer> gpuOpCount, HashSet<Lop> gpuRoots)`
`static int` `collectSparkRoots​(Lop root, Map<Long,​Integer> sparkOpCount, HashSet<Lop> sparkRoots)`
`static ArrayList<Lop>` `getLopList​(StatementBlock sb)`
`static boolean` `isCollectForBroadcast​(Lop lop)`
`static boolean` `isLopRoot​(Lop lop)`
`static boolean` `isPersistableSparkOp​(Lop lop)`
`static void` `markSharedSparkOps​(HashSet<Lop> sparkRoots, Map<Long,​Integer> operatorJobCount)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperatorOrderingUtils

    public OperatorOrderingUtils()

### Method Detail

#### getLopList

    public static ArrayList<Lop> getLopList​(StatementBlock sb)

#### isLopRoot

    public static boolean isLopRoot​(Lop lop)

#### collectSparkRoots

    public static int collectSparkRoots​(Lop root,
                                        Map<Long,​Integer> sparkOpCount,
                                        HashSet<Lop> sparkRoots)

#### collectGPURoots

    public static int collectGPURoots​(Lop root,
                                      Map<Long,​Integer> gpuOpCount,
                                      HashSet<Lop> gpuRoots)

#### isPersistableSparkOp

    public static boolean isPersistableSparkOp​(Lop lop)

#### isCollectForBroadcast

    public static boolean isCollectForBroadcast​(Lop lop)

#### markSharedSparkOps

    public static void markSharedSparkOps​(HashSet<Lop> sparkRoots,
                                          Map<Long,​Integer> operatorJobCount)